#
# spec file for package python-EasyProcess
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-EasyProcess
Version:        0.2.3
Release:        3.1
Summary:        Python subprocess interface
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/ponty/easyprocess
Source:         https://files.pythonhosted.org/packages/source/E/EasyProcess/EasyProcess-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-2to3
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module nose}
%endif
%python_subpackages

%description
EasyProcess is a Python subprocess interface.

Features include:
 - layer on top of subprocess module
 - starting and stopping of programs
 - retrieval of standard output/error, return code of programs
 - command can be list or string
 - logging
 - timeout
 - unit-tests
 - cross-platform, development on linux
 - global config file with program aliases
 - unicode support
 - supported python versions: 2.5, 2.6, 2.7, 3.1, 3.2, PyPy

Limitations:
 - shell is not supported
 - pipes are not supported
 - stdout/stderr is set only after the subprocess has finished
 - stop() does not kill whole subprocess tree

%prep
%setup -q -n EasyProcess-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
mkdir tester
pushd tester
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
$python -B -m nose easyprocess
}
popd
%endif

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Dec  5 2018 jengelh@inai.de
- Trim bias from description. Do not put limitations under
  "features".
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Mon Aug 28 2017 toddrme2178@gmail.com
- update to version 0.2.3:
  * no changelog available
- Implement single-spec version
- Fix source URL
* Mon May  4 2015 benoit.monin@gmx.fr
- update to version 0.1.9:
  * no changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Feb 17 2013 p.drouand@gmail.com
- Update to version 0.1.6:
  * No changelog available
* Sat Feb 16 2013 p.drouand@gmail.com
- Update to version 0.1.5:
  * No changelog available
* Thu Jan 10 2013 p.drouand@gmail.com
- Initial python3 support package
* Mon Mar 26 2012 saschpe@suse.de
- Initial version
